#ifndef GRAPHE_H
#define GRAPHE_H

#include <stdlib.h>
#include <vector>
#include <iostream>

using namespace std;

// Défintion du type graphe :
typedef vector<vector<int> > graphe;

// Créé et renvoie le graphe à n sommets et sans arête
graphe graphe_vide(int n);

// Teste si le paramètre est une matrice d'adjacence correcte
bool est_graphe(graphe &g);

// Affichage d'une matrice d'un graphe
void affiche(graphe &g, string nom);


#endif
